SDL_HINT_HIDAPI_LIBUSB_WHITELIST(3)

NAME
SDL_HINT_HIDAPI_LIBUSB_WHITELIST - A variable to control whether HIDAPI uses libusb only for whitelisted devices.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_HIDAPI_LIBUSB_WHITELIST SDL_HIDAPI_LIBUSB_WHITELIST"

DESCRIPTION
By default libusb will only be used for a few devices that require direct USB access.

The variable can be set to the following values:

• "0": HIDAPI will use libusb for all device access.

• "1": HIDAPI will use libusb only for whitelisted devices. (default)

This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.2.0.